var Acts=new Array();
Acts[0]="http://www.baidu.com/s?";
Acts[1]="http://image.cn.yahoo.com/search?";
Acts[2]="http://www.sogou.com/websearch/corp/search.jsp?";
Acts[3]="http://music.cn.yahoo.com/search?";
Acts[4]="http://www.google.cn/custom?"
Acts[5]="search.asp?"
var sLink=new Array();
sLink[0]="http://www.baidu.com/s?tn=xs20&ct=&lm=&z=&rn=&word=";
sLink[1]="http://rd.aliunion.cn.yahoo.com/clk.php?wid=3702&sid=&t=http%3A%2F%2Fimage.yahoo.com.cn%2Fsearch%3Fei%3Dgbk%26pid%3DC3702_5_0%26f%3DC3702_5_0%26p%3D";

sLink[2]="http://www.sogou.com/websearch/corp/search.jsp?pid=xs20&class=1&cpc=SOGOU&searchtype=1&query=";
sLink[3]="http://rd.aliunion.cn.yahoo.com/clk.php?wid=3702&sid=&t=http%3A%2F%2Fmusic.cn.yahoo.com%2Fsearch%3Fei%3Dgbk%26pid%3DC3702_5_0%26f%3DC3702_5_0%26p%3D";
sLink[4]="http://www.google.cn/custom?client=pub-3461775427702095&forid=1&ie=GB2312&hl=zh-CN&q="
sLink[5]="http://www.happywz.com/search.asp?Field=title&keyword="
var Paras=new Array();
Paras[0]=new Array();
Paras[0][0]="word";
Paras[0][1]="tn";
Paras[0][2]="xs20";
Paras[0][3]="ie";
Paras[0][4]="gb2312";
Paras[0][5]="images/baidu.gif";
Paras[0][6]="百度搜索";
Paras[0][7]="http://www.baidu.com/s?tn=xs20&ct=&lm=&z=&rn=&word=开心网址";
Paras[1]=new Array();
Paras[1][0]="p";
Paras[1][1]="f";
Paras[1][2]="C3702_5_0";
Paras[1][3]="pid";
Paras[1][4]="C3702_5_0";
Paras[1][5]="images/yahoo.gif";
Paras[1][6]="Yahoo搜索";
Paras[1][7]="http://rd.aliunion.cn.yahoo.com/clk.php?wid=3702&sid=&t=http%3A%2F%2Fimage.yahoo.com.cn%2Fsearch%3Fei%3Dgbk%26pid%3DC3702_5_0%26f%3DC3702_5_0%26p%3D开心网址";
Paras[2]=new Array();
Paras[2][0]="query";
Paras[2][1]="cpc";
Paras[2][2]="SOGOU";
Paras[2][3]="pid";
Paras[2][4]="xs20";
Paras[2][5]="images/sogou.gif";
Paras[2][6]="搜狗";
Paras[2][7]="http://www.sogou.com/websearch/corp/search.jsp?pid=xs20&class=1&cpc=SOGOU&searchtype=1&query=开心网址";
Paras[3]=new Array();
Paras[3][0]="p";
Paras[3][1]="f";
Paras[3][2]="C3702_5_0";
Paras[3][3]="pid";
Paras[3][4]="C3702_5_0";
Paras[3][5]="images/yahoo.gif";
Paras[3][6]="Yahoo搜索";
Paras[3][7]="http://rd.aliunion.cn.yahoo.com/clk.php?wid=3702&sid=&t=http%3A%2F%2Fmusic.cn.yahoo.com%2Fsearch%3Fei%3Dgbk%26pid%3DC3702_5_0%26f%3DC3702_5_0%26p%3D开心网址";
Paras[4]=new Array();
Paras[4][0]="q";
Paras[4][1]="client";
Paras[4][2]="pub-3461775427702095";
Paras[4][3]="ie";
Paras[4][4]="GB2312";
Paras[4][5]="images/google.gif";
Paras[4][6]="谷歌";
Paras[4][7]="http://www.google.cn/custom?client=pub-3461775427702095&forid=1&ie=GB2312&hl=zh-CN&q=开心网址";
Paras[5]=new Array();
Paras[5][0]="keyword";
Paras[5][1]="Field";
Paras[5][2]="title";
Paras[5][3]="";
Paras[5][4]="";
Paras[5][5]="images/slogo.gif";
Paras[5][6]="站内";
Paras[5][7]="search.asp?Field=title&keyword=开心网址";


var KNo=Math.floor(10*Math.random())+4;
function So(n){
 var sHTML="";
  for (var i=0;i<=4;i++) {
  $("STab"+(i+1)).className=(n==i+1)?"tab active":"tab";
 }
  for (var i=0;i<4;i++) {
  sHTML+="&nbsp;&nbsp;<a href=\""+sLink[n-1]+Keys[n-1][i]+"\"  title=\""+sLink[n-1]+Keys[n-1][i]+"\" target=\"_blank\">"+Keys[n-1][i]+"</a>";
 }
 var nLeft=82+(n-1)*55;
 $("SoFormBox").style.backgroundPosition=nLeft+"px 0";
 $("Kb").innerHTML=sHTML;
 $("SoForm").action=Acts[n-1];
 $("Ka").name=Paras[n-1][0];
 $("G1").name=Paras[n-1][1];
 $("G1").value=Paras[n-1][2];
 $("G2").name=Paras[n-1][3];
 $("G2").value=Paras[n-1][4];
 $("soLogo").src=Paras[n-1][5];
 $("soLogo").alt=Paras[n-1][6];
 $("soUrl").href=Paras[n-1][7];
 $("Ka").value=Keys[n-1][KNo];
 $("Kaa").value=Keys[n-1][KNo];
}
